%define oname drakx-installer-binaries
%define name drakx-installer-binaries-xz
%define version 1.65
%define release %mkrel 1

Summary: DrakX binaries
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{oname}-%{version}.tar.xz
Patch0: drakx-installer-binaries-1.47-fix-build.diff
License: GPL
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot:	%{_tmppath}/%{oname}-%{version}-%{release}-buildroot
BuildRequires: kernel
BuildRequires: ldetect-devel
BuildRequires: ldetect-lst
BuildRequires: ldetect-lst-devel
BuildRequires: dietlibc-devel
BuildRequires: modprobe-devel
BuildRequires: pciutils-devel
BuildRequires: zlib-devel
BuildRequires: flex byacc pciutils-devel
Requires: ldetect-lst
Requires: glibc >= 2.20

%description
binaries needed to build installer (DrakX)

%package -n drakx-installer-binaries-probe-xz
Summary: DrakX probe-modules tool
Group: Development/Other

%description -n drakx-installer-binaries-probe-xz
probe-modules tool needed to build livecd

%prep
%setup -qn  %{oname}-%{version}
%patch0 -p1

%build
make -C mdk-stage1

%install
rm -rf $RPM_BUILD_ROOT

cd mdk-stage1
dest=$RPM_BUILD_ROOT%{_libdir}/%oname
mkdir -p $dest

install init stage1 rescue-gui dhcp-client probe-modules $dest
if [ -e pcmcia/pcmcia_probe.o ]; then
  install -m 644 pcmcia/pcmcia_probe.o $dest
fi

mv %buildroot%{_libdir}/%oname/probe-modules %buildroot%{_libdir}/%oname/probe-modules-xz

mkdir -p %buildroot/%{_bindir}
ln -sf %{_libdir}/%oname/probe-modules-xz %buildroot/%{_bindir}/probe-modules-xz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%exclude %{_libdir}/%oname/probe-modules-xz
%{_libdir}/%oname

%files -n drakx-installer-binaries-probe-xz
%defattr(-,root,root)
%{_bindir}/probe-modules-xz
%{_libdir}/%oname/probe-modules-xz


%changelog
* Sun Feb 08 2015 bb <bb> 1.65-1pclos2015
- add xz support
- rename probe-modules to probe-modules-xz
